Summary:        Library for general decimal arithmetic
Name:           mpdecimal
Version:        2.5.1
Release:        4%{?dist}
License:        BSD
URL:            http://www.bytereef.org/mpdecimal/index.html
Source0:        http://www.bytereef.org/software/mpdecimal/releases/mpdecimal-%{version}.tar.gz
Source1:        http://speleotrove.com/decimal/dectest.zip

BuildRequires:  make gcc gcc-c++
BuildRequires:  unzip

%description
This package provides a library limpdec, that implements General Decimal Arithmetic
Specification. Written by Mike Cowlishaw of IBM, the specification defines a general 
purpose arbitrary precision data type, as well as rigorously specified functions and 
rounding behavior.

%package        devel
Requires:       mpdecimal = %{version}-%{release}
Summary:        Development headers for mpdecimal library

%description devel
This package provides development headers for the mpdecimal library.

%package        doc
Summary:        Documentation for mpdecimal library
License:        FBSDDL and BSD and GPL
BuildArch:      noarch
Provides:       bundled(js-jquery) = 1.7.2
Provides:       bundled(js-underscore) = 1.4.4

%description doc
This package provides documentation for the mpdecimal library.

%prep
%autosetup
unzip -d tests/testdata %{SOURCE1}

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_docdir}/mpdecimal/LICENSE.txt

%check
make check

%files
%license LICENSE.txt
%{_libdir}/libmpdec.so.%{version}
%{_libdir}/libmpdec.so.3
%{_libdir}/libmpdec++.so.%{version}
%{_libdir}/libmpdec++.so.3

%files devel
%{_libdir}/libmpdec.so
%{_libdir}/libmpdec++.so
%{_includedir}/mpdecimal.h
%{_includedir}/decimal.hh

%files doc
%license doc/LICENSE.txt
%doc %{_pkgdocdir}

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 18 2022 Wang Guodong <gordonwwang@tencent.com> - 2.5.1-1
- package init.
